# RPM specfile for libIDL module
# Generated Tue Oct 29 08:07:53 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.9 2002/05/17 17:39:42 jacob Exp $

%define nam	libIDL
%define ver	0.8.0.0.200210290744
%define ximrev	1

Name:     	libIDL
Version: 	0.8.0.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libIDL-0.8.0.tar.gz
Summary:	IDL parsing library
Group:		System Environment/Libraries
Requires:	glib2
Provides:	ximian-libIDL = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README BUGS
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libIDL-devel
Summary:	Header files and libraries needed for libIDL development
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	glib2-devel
Provides:	ximian-libIDL-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libIDL-devel
This package includes the header files and libraries needed for
developing programs using libIDL.

%files -n libIDL-devel
%defattr(-, root, root)
/usr/lib/lib*.so
/usr/lib/pkgconfig/*.pc
/usr/include/libIDL-2.0
/usr/bin/*
/usr/share/info/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libIDL-0.8.0
    ;;
all)
%setup  -q -n libIDL-0.8.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    CPP=/usr/bin/cpp ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --disable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 0.8.0.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

